We help IT Professionals succeed at work.

oracle packages

nobleit
nobleit asked
on
When I install oracle packages I am seeing errors ..
Can you please tell me where exactly where exactly the packages have to be installed
all the pre-installation tasks are done using this link
http://ivan.kartik.sk/oracle/install_ora11gR1_elinux.html
I all the five discs for oracle linux I know the pacages are here ..But I want to know where and which command I have to use to install packages..
V17787-01

[root@ind oracle]# rpm -q binutils elfutils elfutils-libelf gcc gcc-c++ glibc glibc-common glibc-devel compat-libstdc++-33 cpp make compat-db sysstat libaio libaio-devel unixODBC unixODBC-devel|sort
binutils-2.17.50.0.6-12.el5
compat-libstdc++-33-3.2.3-61
cpp-4.1.2-46.el5
elfutils-0.137-3.el5
elfutils-libelf-0.137-3.el5
gcc-4.1.2-46.el5
gcc-c++-4.1.2-46.el5
glibc-2.5-42
glibc-common-2.5-42
glibc-devel-2.5-42
libaio-0.3.106-3.2
make-3.81-3.el5
package compat-db is not installed
package libaio-devel is not installed
package sysstat is not installed
package unixODBC-devel is not installed
package unixODBC is not installed
[root@ind oracle]#

Comment
Watch Question

HainKurtSr. System Analyst

Commented:
connect to db and run the package scripts...

a sample package

CREATE OR REPLACE PACKAGE BODY hk AS
...
END;
/

CREATE OR REPLACE PACKAGE BODY hk AS
...
END;
/
Most Valuable Expert 2012
Distinguished Expert 2019

Commented:
HainKurt,

Linux packages not Oracle packages.
Most Valuable Expert 2012
Distinguished Expert 2019
Commented:
>>package compat-db is not installed

You need to download the packages and use rpm to 'install' them.

http://www.tuxfiles.org/linuxhelp/rpminstall.html